clc, close all, clear all

M=10;  % Massa [kg]
b1=5;   % Coeff. atrito viscoso [N s/m]  
b2=3;   % Drag coefficient [N s^2/m^2] 
k1=30;  % Costante elastica  [N/m]
k2=-0.04;   % Costante elastica della componente non lineare  [N/m^3]

x0=0;   % posizione iniziale [m]
v0=0;   % velocita iniziale  [m/s]

%Parametri del profilo di forza F(t)
% F(t)= F1 per 0<t<T1
% F(t)=0  per T1<t<T2;
% F(t)=F2  per t > T2;
F1=80; F2= 40;
T1=50; T2=100;

%% Creazione di un grafico che confronta le caratteristiche forza
%% deformazione della molla nel caso lineare e non lineare

x=-10:0.01:10;
Flin=k1*x;
Fnonlin=k1*x+k2*x.^3;
figure(1)
plot(x,[Flin; Fnonlin]),grid
xlabel('deformazione [m]')
ylabel('Forza di richiamo elastico')
legend('Legge di Hooke', 'Caratteristica non lineare','Location','NorthWest')


